CREATE TABLE `CompositionBackup` (
    `categoryName` TEXT NOT NULL,
    `name` TEXT NOT NULL,
    `preview` TEXT NOT NULL,
    `previewSize` INTEGER NOT NULL,
    `paintState` TEXT,
    `isTemplate` INTEGER NOT NULL,
    `creationDate` INTEGER,
    PRIMARY KEY(`name`)
);
INSERT INTO `CompositionBackup` SELECT
    `categoryName`,
    `name`,
    `preview`,
    `previewSize`,
    `paintState`,
    `isTemplate`,
    `creationDate`
FROM `Composition`;
DROP TABLE `Composition`;
CREATE TABLE `Composition` (
    `categoryName` TEXT NOT NULL,
    `name` TEXT NOT NULL,
    `preview` TEXT NOT NULL,
    `previewSize` INTEGER NOT NULL,
    `paintState` TEXT,
    `isTemplate` INTEGER NOT NULL,
    `creationDate` INTEGER,
    PRIMARY KEY(`name`)
);
INSERT INTO `Composition` SELECT
    `categoryName`,
    `name`,
    `preview`,
    `previewSize`,
    `paintState`,
    `isTemplate`,
    `creationDate`
FROM `CompositionBackup`;
DROP TABLE `CompositionBackup`;

CREATE TABLE `MultiComposition` (
    `name` TEXT NOT NULL,
    `preview` TEXT NOT NULL,
    `previewSize` INTEGER NOT NULL,
    `paintState` TEXT,
    `isTemplate` INTEGER NOT NULL,
    `creationDate` INTEGER,
    PRIMARY KEY(`name`)
);

CREATE TABLE `MultiCompositionItem` (
    `name` TEXT NOT NULL,
    `multiCompositionName` TEXT NOT NULL,
    `compositionName` TEXT NOT NULL,
    `layer` INTEGER NOT NULL,
    `position` INTEGER NOT NULL,
    PRIMARY KEY(`name`),
    FOREIGN KEY(`multiCompositionName`) REFERENCES `MultiComposition`(`name`)
        ON UPDATE NO ACTION ON DELETE NO ACTION
        DEFERRABLE INITIALLY DEFERRED,
    FOREIGN KEY(`compositionName`) REFERENCES `Composition`(`name`)
        ON UPDATE NO ACTION ON DELETE NO ACTION
        DEFERRABLE INITIALLY DEFERRED
);



INSERT INTO `Composition`
(`categoryName`, `name`, `preview`, `previewSize`, `paintState`, `isTemplate`, `creationDate`) VALUES
('female', 'female:m-template', '', 0, null, 1, null);
INSERT INTO `Composition`
(`categoryName`, `name`, `preview`, `previewSize`, `paintState`, `isTemplate`, `creationDate`) VALUES
('male', 'male:m-template', '', 0, null, 1, null);

INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('c2ac68fc-af6f-4447-a9e8-025c646bfa65', 'female:m-template', 'female:female-hair-front:6');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('8fa36628-3397-4a2c-aa29-1d5be53b6c2a', 'female:m-template', 'female:female-hair-back:1');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('13f3d19b-00d8-4a24-ad2a-ce71141f8b05', 'female:m-template', 'female:female-face:13');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('c6a8b774-37d8-4b6c-8dcc-fed8215760ab', 'female:m-template', 'female:female-ears:2');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('f0f54138-ab86-499b-989d-88b6892ce8af', 'female:m-template', 'female:female-eyes:36');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('928fc0b8-728a-4e48-8f21-3e00e6d318cc', 'female:m-template', 'female:female-brows:27');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('e3f9be2a-9dce-41ab-b8a4-2b9f1c5fbd16', 'female:m-template', 'female:female-nose:23');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('2b91f12f-8858-4d3a-803a-7847ea124153', 'female:m-template', 'female:female-mouth:27');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('284d17be-63f4-48bf-b260-7853d6922d32', 'female:m-template', 'female:female-clothes:48');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('2eaa1a4c-8171-4b47-90e9-266a19e6daea', 'female:m-template', 'female:female-accessories:13');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('d25589a1-1fa3-4552-9d64-60fbc15cad41', 'female:m-template', 'female:female-hands:14');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('b5ecdd78-2503-47e8-9951-0de8f4c2c961', 'male:m-template', 'male:male-hair-front:19');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('2c982ea3-4dfd-4645-81e8-15dae6a76179', 'male:m-template', 'male:male-hair-back:7');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('901a89bf-d992-4b1f-aca9-3bea23347501', 'male:m-template', 'male:male-face:8');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('34d54d4a-2758-404c-8b7d-8159b8d9ecf7', 'male:m-template', 'male:male-ears:10');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('c5a4fe89-8770-4e51-8c2d-9b67b126b98c', 'male:m-template', 'male:male-eyes:19');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('091f35de-fba1-4789-943a-c6de511ab39d', 'male:m-template', 'male:male-brows:16');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('ca457180-667d-417e-9773-4ba5c26eda49', 'male:m-template', 'male:male-nose:22');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('cd50d3de-5a01-4c08-ba73-f0d172a160af', 'male:m-template', 'male:male-mouth:16');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('94c13a1e-f629-4ca3-8258-404ef77d622f', 'male:m-template', 'male:male-clothes:24');
INSERT INTO `CompositionPicture`
(`id`, `compositionName`, `pictureName`) VALUES
('dc127c62-e9a0-4c2d-9535-7e868a5e5300', 'male:m-template', 'male:male-hands:3');

INSERT INTO `MultiComposition`
(`name`, `preview`, `previewSize`, `paintState`, `isTemplate`, `creationDate`) VALUES
('drawu-default-library:m-template', '', 0, null, 1, null);

INSERT INTO `MultiCompositionItem`
(`name`, `multiCompositionName`, `compositionName`, `layer`, `position`) VALUES
('c2ac68fc-af6f-4447-a9e8-025c622bfa65', 'drawu-default-library:m-template', 'male:m-template', 0, 0);
INSERT INTO `MultiCompositionItem`
(`name`, `multiCompositionName`, `compositionName`, `layer`, `position`) VALUES
('c2ac68fc-af6f-4447-a118-025c692bfa65', 'drawu-default-library:m-template', 'female:m-template', 1, 1);
