CREATE TABLE `LibraryColorMap` (
    `libraryName` TEXT NOT NULL,
    `name` TEXT NOT NULL,
    `source` TEXT NOT NULL,
    `palette` TEXT NOT NULL,
    `strictPalette` INTEGER NOT NULL,
    `def` TEXT NOT NULL,
    PRIMARY KEY(`name`),
    FOREIGN KEY(`libraryName`) REFERENCES `Library`(`name`)
    ON UPDATE NO ACTION ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED
);

CREATE TABLE `CompositionColorMap` (
    `name` TEXT NOT NULL,
    `compositionName` TEXT NOT NULL,
    `colorMapName` TEXT NOT NULL,
    `target` TEXT NOT NULL,
    PRIMARY KEY(`name`),
    FOREIGN KEY(`compositionName`) REFERENCES `Composition`(`name`)
    ON UPDATE NO ACTION ON DELETE CASCADE DEFERRABLE INITIALLY DEFERRED
);

ALTER TABLE `LibraryPicture`
    ADD COLUMN `colorMapName` TEXT NOT NULL DEFAULT '';

ALTER TABLE `Composition`
    ADD COLUMN `bgColor` INTEGER NOT NULL DEFAULT '-1';

ALTER TABLE `MultiComposition`
    ADD COLUMN `bgColor` INTEGER NOT NULL DEFAULT '-1';

UPDATE `Library` SET
    `hash` = '0';
